<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.ycwl.basic.mapper.AioDeviceMapper">
    <select id="getById" resultType="com.ycwl.basic.model.aio.entity.AioDeviceEntity">
        select * from aio_device where id = #{id} limit 1
    </select>
    <select id="getByKey" resultType="com.ycwl.basic.model.aio.entity.AioDeviceEntity">
        select * from aio_device where access_key = #{accessKey} limit 1
    </select>
    <select id="getBannerByDeviceId" resultType="com.ycwl.basic.model.aio.entity.AioDeviceBannerEntity">
        select * from aio_device_banner where device_id = #{deviceId}
    </select>
    <select id="getPriceConfigByDeviceId"
            resultType="com.ycwl.basic.model.aio.entity.AioDevicePriceConfigEntity">
        select * from aio_device_price_config where id = #{deviceId}
    </select>
</mapper>